﻿@model IEnumerable<EducationPlanning>
<div class="d-flex align-items-center flex-wrap mb-5">
    <h4 class="text-dark font-weight-bold mt-2 mb-2 mr-3">Let's review your Educational Planning status</h4>
    <button class="btn btn-primary font-weight-bold btn-sm btn-EducationPlanning-add mb-2"><i class="fas fa-plus"></i>New Student</button>
</div>
<div class="wizard-content-height">
    <div id="EducationPlanning-main-div">
        @foreach (var item in Model)
        {
            <div class="EducationPlanning-info-div" id="EducationPlanning-card-@item.Guid">
                <div class="card card-custom gutter-b shadow-none bg-gray-100" style="border:1px solid #000066">
                    <div class="card-header" style="background: #000066">
                        <div class="card-title m-0 w-75">
                            <h3 class="card-label font-size-h4">
                                <span class="font-weight-bold text-white">@item.StudentName</span>
                            </h3>
                        </div>
                        <div class="card-toolbar">
                            <button class="btn btn-icon btn-sm btn-EducationPlanning-edit" data-guid="@item.Guid">
                                <i class="fas fa-pencil-alt text-white" data-toggle="tooltip" data-original-title="Edit"></i>
                            </button>
                            <button class="btn btn-icon btn-sm btn-EducationPlanning-delete" data-guid="@item.Guid">
                                <i class="far fa-trash-alt text-white" data-toggle="tooltip" data-original-title="Delete"></i>
                            </button>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="font-size-h6">
                            <div class="d-flex">
                                <span class="col-12 col-md-9 text-dark p-0"><span class="font-weight-bold mr-3">Current Age of Student:</span><span class="d-xl-none"> @item.CurrentAge</span></span>
                                <span class="col-md-3 align-self-end p-0 d-none d-xl-block">@item.CurrentAge</span>
                            </div>
                            <div class="d-flex">
                                <span class="col-12 col-md-9 text-dark p-0"><span class="font-weight-bold mr-3">Relationship to Student:</span><span class="d-xl-none"> @(item.RelationshipToStudent != default ? item.RelationshipToStudentString: "-")</span></span>
                                <span class="col-md-3 align-self-end p-0 d-none d-xl-block">@(item.RelationshipToStudent != default ? item.RelationshipToStudentString: "-")</span>
                            </div>
                            <div class="d-flex">
                                <span class="col-12 col-md-9 text-dark p-0"><span class="font-weight-bold mr-3">Custodial Parent:</span><span class="d-xl-none"> @item.LegalGuardian.BoolToYesNo()</span></span>
                                <span class="col-md-3 align-self-end p-0 d-none d-xl-block">@item.LegalGuardian.BoolToYesNo()</span>
                            </div>
                            <div class="d-flex">
                                <span class="col-12 col-md-9 text-dark p-0"><span class="font-weight-bold mr-3">Number of years before student will begin education program:</span><span class="d-xl-none"> @item.NumberOfUears</span></span>
                                <span class="col-md-3 align-self-end p-0 d-none d-xl-block">@item.NumberOfUears</span>
                            </div>
                            <div class="d-flex">
                                <span class="col-12 col-md-9 text-dark p-0"><span class="font-weight-bold mr-3">Expected number of years to complete education:</span><span class="d-xl-none"> @item.numberOfYearsEnum</span></span>
                                <span class="col-md-3 align-self-end p-0 d-none d-xl-block">@item.numberOfYearsEnum</span>
                            </div>
                            <div class="d-flex">
                                <span class="col-12 col-md-9 text-dark p-0"><span class="font-weight-bold mr-3">Type of education program:</span><span class="d-xl-none"> @item.typeOfEducationProgramEnum.GetDisplayName()</span></span>
                                <span class="col-md-3 align-self-end p-0 d-none d-xl-block">@item.typeOfEducationProgramEnum.GetDisplayName()</span>
                            </div>
                            <div class="d-flex">
                                <span class="col-12 col-md-9 text-dark p-0"><span class="font-weight-bold mr-3">How are you saving for education:</span><span class="d-xl-none"> @item.savingForEducationEnum.GetDisplayName()</span></span>
                                <span class="col-md-3 align-self-end p-0 d-none d-xl-block">@item.savingForEducationEnum.GetDisplayName()</span>
                            </div>
                            <div class="d-flex">
                                <span class="col-12 col-md-9 text-dark p-0"><span class="font-weight-bold mr-3">Current amount saved for education:</span><span class="d-xl-none"> @string.Format("{0:C0}", item.currentAmount)</span></span>
                                <span class="col-md-3 align-self-end p-0 d-none d-xl-block">@string.Format("{0:C0}", item.currentAmount)</span>
                            </div>
                            <div class="d-flex">
                                <span class="col-12 col-md-9 text-dark p-0"><span class="font-weight-bold mr-3">Student's Resident State:</span><span class="d-xl-none"> @item.State</span></span>
                                <span class="col-md-3 align-self-end p-0 d-none d-xl-block">@item.State</span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        }
    </div>
</div>
<partial name="_WizardFooter" />
<div class="modal" id="EducationPlanningInfoModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true"></div>
<style>
    .switch.switch-custom.switch-xs input ~ span:after {
        top: 3px !important;
    }
</style>
<script>
    setTimeout(function() {
        $("#btn-submit,#btn-save-exit").addClass("btn-next");
    }, 1000)
    $(document).on("click", ".btn-EducationPlanning-add,.btn-EducationPlanning-edit", function() {
        var id = $(this).attr("data-guid");
        KTApp.blockPage({ overlayColor: '#000000', state: 'primary', message: 'Please wait...' });
        loadPartialView(`EducationPlanning/EducationPlanningInfo?guid=${id}`, "EducationPlanningInfoModal");
    });
    $("#wizard-main-div").on("click", ".btn-EducationPlanning-delete", function() {
        var cur = this;
        var swalOptions = confimationSwalOptions;
        Swal.fire(swalOptions)
            .then(function(result) {
                if (result.value) {
                    var guid = $(cur).attr("data-guid");
                    deleteRecord(`EducationPlanning/DeleteEducationPlanning?guid=${guid}`, function() {
                        KTApp.blockPage({ overlayColor: '#000000', state: 'primary', message: 'Please wait...' });
                        $(cur).closest(`#EducationPlanning-card-${guid}`).remove();
                        setTimeout(function() { KTApp.unblockPage(); }, 1000);
                    });
                }
            });
    });
</script>